%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

Name:		libvsmbr
Version:	20200818
Release:	1%{?dist}
Summary:	Library to access the Master Boot Record (MBR) volume system
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-%{version}.tar.gz
URL:		https://github.com/libyal/libvsmbr/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool

%description
libvsmbr is a library to access the Master Boot Record (MBR) volume system

%package devel
Summary: Header files and libraries for developing applications for libvsmbr
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libvsmbr.

%package python2
Summary: Python 2 bindings for libvsmbr
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires: python2-devel
Obsoletes: %{name}-python < %{version}
Provides: %{name}-python = %{version}

%description python2
Python 2 bindings for libvsmbr

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libvsmbr
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libvsmbr
%endif

%package tools
Summary: Several tools for reading Master Boot Record (MBR) volume systems
Group: Applications/System
Requires: %{name} = %{version}-%{release}

%description tools
Several tools for reading Master Boot Record (MBR) volume systems

%prep
%setup -q

%build
sh synclibs.sh
sh autogen.sh
%if 0%{?with_python3}
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%endif
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
for m in */Makefile
do
	sed --in-place 's/@.*_DLL_EXPORT@//' $m
done
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files python2
%defattr(644,root,root,755)
%if 0%{?centos} != 6
%license COPYING
%endif
%doc AUTHORS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%if 0%{?centos} != 6
%license COPYING
%endif
%doc AUTHORS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/vsmbrinfo
%{_mandir}/man1/*

%changelog
* Tue Aug 18 2020 Lawrence R. Rogers <lrr@cert.org> 20200818-1
* Release 20200818-1
	Version from 20200818

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20180731-2
* Release 20180731-2
        Release 2 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Tue Jul 31 2018 Lawrence R. Rogers <lrr@cert.org> 20180731-1
* Release 20180731-1
	Version from 20180731

* Mon Jul 10 2017 Joachim Metz <joachim.metz@gmail.com> 20170525-1
- Auto-generated

